The power of pruning in backtracking IV

Although this is marked as an easy problem, solving generically would make it a medium one. Standard backtracking but the key it to prune it: as soon as the number exceeds the min allowed, cut short the search space. Code is down below, cheers, ACC. Unique 3-Digit Even Numbers - LeetCode You are given an array of digits called digits . Your task is to determine the number of distinct three-digit even numbers that can be formed using these digits. Note : Each copy of a digit can only be used once per number , and there may not be leading zeros. Example 1: Input: digits = [1,2,3,4] Output: 12 Explanation: The 12 distinct 3-digit even numbers that can be formed are 124, 132, 134, 142, 214, 234, 312, 314, 324, 342, 412, and 432. Note that 222 cannot be formed because there is only 1 copy of the digit 2. Example 2: Input: digits = [0,2,2] Output: 2 Explanation: The only 3-digit even numbers that ca...